BatchGetPentestJobTasks - AWS Security Agent

BatchGetPentestJobTasks

Retrieves information about one or more tasks within a pentest job.

Request Syntax

POST /BatchGetPentestJobTasks HTTP/1.1 Content-type: application/json { "agentSpaceId": "string", "taskIds": [ "string" ] }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

agentSpaceId

The unique identifier of the agent space that contains the tasks.

Type: String

Required: Yes

taskIds

The list of task identifiers to retrieve.

Type: Array of strings

Required: Yes

Response Syntax

HTTP/1.1 200 Content-type: application/json { "notFound": [ "string" ], "tasks": [ { "agentSpaceId": "string", "categories": [ { "isPrimary": boolean, "name": "string" } ], "createdAt": "string", "description": "string", "executionStatus": "string", "logsLocation": { "cloudWatchLog": { "logGroup": "string", "logStream": "string" }, "logType": "string" }, "pentestId": "string", "pentestJobId": "string", "riskType": "string", "targetEndpoint": { "uri": "string" }, "taskId": "string", "title": "string", "updatedAt": "string" } ] }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

notFound

The list of task identifiers that were not found.

Type: Array of strings

tasks

The list of tasks that were found.

Type: Array of Task objects

Errors

For information about the errors that are common to all actions, see Common Error Types.

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: